package com.yuchen.saas.integration.feign.api.feign;

import com.yuchen.saas.integration.hik.isc.dto.DeleteByVideoIdDTO;
import com.yuchen.saas.parking.api.entity.IotBatIntegratedDevice;
import com.yuchen.saas.integration.feign.api.vo.ProductInfoVO;
import org.nest.springwrap.core.tool.api.R;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * @Author 蔡文强
 * @Date 2023/4/13 15:56
 * @Description IOT设备管理 feign远程调用
 */
@Component
public class IntegratedDeviceClientFallback implements IntegratedDeviceClient {
    @Override
    public R<IotBatIntegratedDevice> detail(IotBatIntegratedDevice iotBatIntegratedDevice) {
        return R.fail("数据返回失败");
    }

    @Override
    public R<IotBatIntegratedDevice> getDeviceInfoByDeviceName(String deviceName) {
        return R.fail("数据返回失败");
    }

    @Override
    public R<IotBatIntegratedDevice> getDeviceInfo(String deviceId) {
        return  R.fail("数据返回失败");
    }

    @Override
    public R<IotBatIntegratedDevice> getDeviceInfo(String productKey, String deviceName) {
        return  R.fail("数据返回失败");
    }

    @Override
    public R<IotBatIntegratedDevice> getDeviceByCameraCode(String cameraIndexCode) {
        return R.fail("数据返回失败");
    }

    @Override
    public R<List<IotBatIntegratedDevice>> getAllDevices(String productKey) {
        return R.fail("远程调用失败!!!");
    }

    @Override
    public IotBatIntegratedDevice getDeviceInfoByDeviceId(String deviceId) {
        return new IotBatIntegratedDevice();
    }

    @Override
    public R save(IotBatIntegratedDevice iotBatIntegratedDevice) {
        return R.fail("数据返回失败");
    }

    @Override
    public R add(IotBatIntegratedDevice iotBatIntegratedDevice) {
        return R.fail("数据返回失败");
    }

    @Override
    public R<List<ProductInfoVO>> findAllProduct() {
        return R.fail("数据返回失败");
    }

    @Override
    public R update(IotBatIntegratedDevice iotBatIntegratedDevice) {
        return R.fail("数据返回失败");
    }

    @Override
    public R remove(String ids) {
        return R.fail("数据返回失败");
    }

    @Override
    public R removeByVideoIds(@RequestBody List<String>  videoIds) {
        return R.fail("数据返回失败");
    }

//    @Override
//    public R addPerson(PmgBatParkPeople people) {
//        return R.fail("数据推送失败");
//    }
//
//    @Override
//    public R delPerson(PmgBatParkPeople people) {
//        return R.fail("数据推送失败");
//    }

}
